// sketch weerstation 1b. 
// Meten van vochtigheid en temperatuur met een DHT22 sensor.
// de meetwaarde wordt naar de seriele monitor gestuurd en op het LCD getoond.

#include <DHT.h>; // DHT sensor bibliotheek toevoegen
#include <LiquidCrystal.h>

// DHT22 type van de sensor
// pen 9 voor data

DHT sensor_dht(9, DHT22); // onze sensor heet nu: sensor_dht

// LCD Enable pin aan digital pin 11
// LCD R/W pin aan ground
// LCD D4 pin aan digital pin 5
// LCD D5 pin aan digital pin 4
// LCD D6 pin aan digital pin 3
// LCD D7 pin aan digital pin 2

LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

float temperatuur, vochtigheid; // 2 variabelen om de meetwaarden op te slaan

void setup()
{
  sensor_dht.begin(); // start de sensor om metingen te doen
  Serial.begin(9600); // start de seriele monitor
  lcd.begin(16,2);   // start LCD type 16 x 2
}

void loop()
{
  delay(2000); // wacht 2 seconden
  //lees de temperatuur en de vochtigheid uit en bewaar die in de variabelen
  temperatuur = sensor_dht.readTemperature();
  vochtigheid = sensor_dht.readHumidity();

  // stuur de gemeten waarden naar de seriele monitor
  Serial.print("Luchtvochtigheid: ");
  Serial.print(vochtigheid);
  Serial.print(" %, Temperatuur: ");
  Serial.print(temperatuur);
  Serial.println(" Celsius");

  // nu de metingen op het LCD vertonen
  lcd.setCursor(0, 0); // zet cursor op positie 0 (vooraan) en rij 0 (eerste regel)
  lcd.print ("Temp : "); lcd.print(temperatuur,1); lcd.print (" C ");
  lcd.setCursor(0,1); // zet cursor op positie 0 (vooraan) en rij 1 (tweede regel)
  lcd.print ("Vocht: "); lcd.print(vochtigheid,1); lcd.print (" % ");   
}
